BSON_ITER_OVERWRITE_BOOL(3)

SYNOPSIS

            void
            bson_iter_overwrite_bool (bson_iter_t *iter, bool value);

PARAMETERS

    •   iter: A bson_iter_t.

    •   value: A bool containing the new value.

DESCRIPTION

The bson_iter_overwrite_bool() function shall overwrite the contents of a BSON_TYPE_BOOL element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when iter is not observing an element of type BSON_TYPE_BOOL.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc